define(`forloop',
            `pushdef(`$1', `$2')_forloop(`$1', `$2', `$3', `$4')popdef(`$1')')
     define(`_forloop',
            `$4`'ifelse($1, `$3', ,
     		   `define(`$1', incr($1))_forloop(`$1', `$2', `$3', `$4')')')
#include "resource_ids.h"
include(config.m4)
VERSION ID 1000 "PRGVERSION"
APPLICATIONICONNAME ID APPNAME_ID "Toast Timer"
APPLICATION ID APP_ID "TTMR"

BITMAP ID RUN_BMP "play.bmp"
BITMAP ID PRESET_BMP "preset.bmp"
BITMAP ID PAUSE_BMP "pause.bmp"

ICON "icon.bmp"
SMALLICON "smallicon.bmp"

FORM ID MAINFORM_ID AT (0 0 160 160)
MENUID MAIN_MENU_ID
BEGIN
	TITLE "Timer"

forloop(`row',0,7, `
	FORMBITMAP AT ( 158 - 9 row*17+21 ) BITMAP PRESET_BMP  
	PUSHBUTTON "" ID RESTART_`'row AT (PREVLEFT PREVTOP 10 10) 
		GROUP RUN_GROUP_`'row
	
	FORMBITMAP AT ( PREVLEFT-11 PREVTOP ) BITMAP RUN_BMP 
	PUSHBUTTON "" ID RUN_`'row AT (PREVLEFT PREVTOP 10 10) 
		GROUP RUN_GROUP_`'row

	FORMBITMAP AT ( PREVLEFT-11 PREVTOP ) BITMAP PAUSE_BMP 
	PUSHBUTTON "" ID PAUSE_`'row AT (PREVLEFT PREVTOP 10 10)
		GROUP RUN_GROUP_`'row

	SELECTORTRIGGER "00:00:00" ID PRESET_`'row
		AT (RIGHT@PREVLEFT-5 CENTER@PREVHEIGHT/2+PREVTOP AUTO AUTO)

	FIELD  ID COUNTDOWN_`'row AT (RIGHT@PREVLEFT-1 PREVTOP 40 AUTO)
		RIGHTALIGN NONEDITABLE SINGLELINE
		
	FIELD  ID NAME_`'row AT (RIGHT@PREVLEFT-3 PREVTOP PREVLEFT-3 AUTO)
		LEFTALIGN SINGLELINE MAXCHARS 10 UNDERLINED AUTOSHIFT
')
	 
	
END


FORM ID TIMEOUT_ALERT_FORM_ID
AT (2 2 156 156)
SAVEBEHIND
MODAL
DEFAULTBTNID  TIMEOUT_ALERT_OK_ID
BEGIN
	TITLE "Toast Timer Timeout"
	FIELD  ID TIMEOUT_ALERT_MESSAGE_ID AT (10 CENTER 140 AUTO)
		NONEDITABLE SINGLELINE
	BUTTON "Dissmiss" TIMEOUT_ALERT_OK_ID AT (CENTER BOTTOM@152 AUTO AUTO)
END

STRING ID TIMEOUT_ALERT_TEMPLATE_ID "Timer ^1 done"

define(`numpad_top',`15')
define(`numpad_left',`80')
define(`numpad_keywidth',`20')
define(`numpad_keyheight',`20')
define(`numpad_key',`BUTTON "$1" ID SETTIME_$1 AT ( eval(numpad_left + $2 * (numpad_keywidth + 3)) eval(numpad_top + $3 * (numpad_keyheight + 3)) numpad_keywidth numpad_keyheight ) FRAME')
FORM ID SETTIME_FORM_ID AT (2 20 156 138)
MODAL
DEFAULTBTNID SETTIME_CANCEL_ID 
BEGIN
	TITLE "Set time"

	FIELD  ID SETTIME_TIME_ID AT (20 40 40 AUTO)
		RIGHTALIGN NONEDITABLE SINGLELINE MAXCHARS 8
	numpad_key(7,0,0)
	numpad_key(8,1,0)
	numpad_key(9,2,0)
	numpad_key(4,0,1)
	numpad_key(5,1,1)
	numpad_key(6,2,1)
	numpad_key(1,0,2)
	numpad_key(2,1,2)
	numpad_key(3,2,2)
	numpad_key(00,0,3)
	numpad_key(0,1,3)

	BUTTON "Clear" ID SETTIME_CLEAR_ID AT (30 55 30 AUTO)

	BUTTON "OK" ID SETTIME_OK_ID AT (4 BOTTOM@134 30 AUTO)
	BUTTON "Start" ID SETTIME_START_ID AT (PREVRIGHT+6 BOTTOM@134 30 AUTO)
	BUTTON "Cancel" ID SETTIME_CANCEL_ID AT (PREVRIGHT+6 BOTTOM@134 30 AUTO)
	LABEL "Sound:" AUTOID AT (4 107)
	POPUPTRIGGER "" ID SETTIME_SOUND_ID
		AT (PREVRIGHT PREVTOP 150-PREVRIGHT AUTO) LEFTANCHOR
	LIST "Off" "Default" ID SETTIME_SOUND_LIST_ID
		AT (PREVLEFT PREVTOP 150-PREVLEFT AUTO)
		VISIBLEITEMS 2 NONUSABLE
	POPUPLIST ID SETTIME_SOUND_ID SETTIME_SOUND_LIST_ID

END

STRING ID SETTIME_TITLE_TEMPLATE_ID "Setting ^1"
STRING ID SETTIME_SOUND_OFF_STRING_ID "Off"
STRING ID SETTIME_SOUND_SYSTEM_STRING_ID "System"

MENU ID MAIN_MENU_ID 
BEGIN
	PULLDOWN "Edit"
	BEGIN
		MENUITEM "Preferences" ID MAIN_MENU_PREFERENCES_ID
	END

	PULLDOWN "About"
	BEGIN
		MENUITEM "Authors" ID MAIN_MENU_AUTORS_ID
		MENUITEM "Copying" ID MAIN_MENU_COPYING_ID
	END

END

FORM ID AUTHORS_FORM_ID AT (2 2 156 156)
MODAL
BEGIN
        TITLE "Toast Timer Authors"
	LABEL "Toast Timer PRGVERSION" AUTOID AT (CENTER 40) 
        LABEL "Written by Simon Berg" AUTOID AT (CENTER PREVBOTTOM) 
	LABEL "Send bugs and suggestions to:" AUTOID AT (CENTER PREVBOTTOM) 
	LABEL "ksb@citu.kth.se" AUTOID AT (CENTER PREVBOTTOM) 
        BUTTON "OK" AUTOID AT (CENTER 139 30 12)
END


FORM ID COPYING_FORM_ID AT (2 2 156 156)
MODAL
BEGIN
        TITLE "Toast Timer Copying"
	
	SCROLLBAR ID COPYING_SCROLLBAR_ID AT (RIGHT@156 20 7 110)
		VALUE 0 MIN 0 MAX 100 PAGESIZE 20
	FIELD ID COPYING_FIELD_ID AT (5 20 PREVLEFT-5 110)
		MULTIPLELINES NONEDITABLE HASSCROLLBAR

	
        BUTTON "OK" AUTOID AT (CENTER 139 30 12)
END

FORM ID PREFERENCES_FORM_ID AT (2 2 156 156)
MODAL
BEGIN
	TITLE "Toast Timer Preferences"
	LABEL "Alarm sound repeats " ID AUTOID AT (10 20)
	FIELD ID REPEATS_FIELD_ID AT (PREVRIGHT PREVTOP 12 AUTO)
		UNDERLINED MAXCHARS 2 NUMERIC RIGHTALIGN
	LABEL " times." ID AUTOID AT (PREVRIGHT PREVTOP)

	
	FIELD ID REPEAT_INTERVAL_FIELD_ID AT (10 40 12 AUTO)
		UNDERLINED MAXCHARS 2 NUMERIC RIGHTALIGN
	LABEL " seconds delay between sounds." ID AUTOID
		AT (PREVRIGHT PREVTOP)

	CHECKBOX "Use only system MIDI-sounds." ID USE_SYS_MIDI_ONLY_CHECK_ID
		AT (10 60 AUTO AUTO)

	BUTTON "Done" PREFS_DONE_ID AT (CENTER BOTTOM@152 AUTO AUTO)
END

STRING ID COPYING_STRING_ID 

"Toast Timer PRGVERSION - simple timer\n" \
"Copyright 2000 Simon Berg\n" \
"\n" \
"This program is free software; " \
"you can redistribute it and/or " \
"modify it under the terms of the " \
"GNU General Public License " \
"as published by " \
"the Free Software Foundation; " \
"either version 2 of the License, or " \
"(at your option) any later version.\n" \
"\n" \
"This program is distributed in " \
"the hope that it will be useful, " \
"but WITHOUT ANY WARRANTY; " \
"without even the implied warranty of " \
"MERCHANTABILITY or " \
"FITNESS FOR A PARTICULAR PURPOSE.\n" \
"See the GNU General Public License " \
"for more details.\n" \
"\n" \
"You should have received a copy of " \
"the GNU General Public License " \
"along with this program; " \
"if not, write to the " \
"Free Software Foundation, Inc., " \
"59 Temple Place, Suite 330," \
"Boston, MA  02111-1307  USA"

HEX "tint" ID PREFS_REPEATS 0x00 0x00 0x00 0x10
HEX "tint" ID PREFS_REPEAT_INTERVAL 0x00 0x00 0x00 0x05
HEX "tint" ID PREFS_SYS_MIDI_ONLY 0x00 0x00 0x00 0x01
